summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGilles Dartiguelongue <eva@gentoo.org>2016-10-23 22:42:19 +0200
committerGilles Dartiguelongue <eva@gentoo.org>2016-10-24 00:59:45 +0200
commit1bccd02a7aa0fd68ebc2a67a57d3ecb37a534f9e (patch)
tree2de2fe5a15f88aa017ddb9370e94196fd6e10b01 /gnome-extra/gnome-power-manager
parentgnome-extra/gnome-color-manager: cleanup old revision (diff)
downloadgentoo-1bccd02a7aa0fd68ebc2a67a57d3ecb37a534f9e.tar.gz
gentoo-1bccd02a7aa0fd68ebc2a67a57d3ecb37a534f9e.tar.bz2
gentoo-1bccd02a7aa0fd68ebc2a67a57d3ecb37a534f9e.zip
gnome-extra/gnome-power-manager: version bump 3.20.0 → 3.22.1
Package-Manager: portage-2.3.1
Diffstat (limited to 'gnome-extra/gnome-power-manager')
-rw-r--r--gnome-extra/gnome-power-manager/Manifest1
-rw-r--r--gnome-extra/gnome-power-manager/gnome-power-manager-3.22.1.ebuild56
2 files changed, 57 insertions, 0 deletions
diff --git a/gnome-extra/gnome-power-manager/Manifest b/gnome-extra/gnome-power-manager/Manifest
index 0c94ab15a8e..96d38bf8582 100644
--- a/gnome-extra/gnome-power-manager/Manifest
+++ b/gnome-extra/gnome-power-manager/Manifest
@@ -1,2 +1,3 @@
DIST gnome-power-manager-3.18.0.tar.xz 433960 SHA256 afe5921a4313d15757f39f6ff4ec6f7c9e9cbb9b2aaa0b8a290e1cd7557e28f0 SHA512 53ec940882b1b037e5d32bcda72b34582925608df30f96147b975651f26cde268a608bbc55242bfee67a48950fa0c395f6b893c047e6b4f1a1c45793376d9b44 WHIRLPOOL 05492c60557744fb86c92c4d47cc54a4b37b7d6ad1eb1701fa2d68acc9a39e3a9a69c3dec96efc0b306d7ba40a54d94da3d3c265cc2d6b643ae0964b4b211326
DIST gnome-power-manager-3.20.0.tar.xz 436464 SHA256 159c23a6ed5ffd54324947adb2a32caff6d6e2210f96bdf3961edfcad8058a47 SHA512 4b0a735b64e0c8834fe5ef5d5fbe1feb00dbe0d46b6efb97d6ca8fe394f8436cdd26fc4d655e0b983ac85110404ed46657b357ee6ec733a7c821a51b05419c19 WHIRLPOOL d23db7b0ad7567e380c979d74d3f6feda96bc3e12c256d9c4d2f88a888d7f722ad5b879912e45c68b03f58ce4cc239c7b604d191813697f96d4d202dc9b911ed
+DIST gnome-power-manager-3.22.1.tar.xz 442492 SHA256 4e3b8a4ecc5ea7cf4eeb976795c7bb87afbf6c1a8a398b8591bc0db67024d4e4 SHA512 622bc8064a74c3613cb76bc722c102a49bbdaf8b44cd8f338b1482622c8196bff4b6fa6a9096b0aa323e0c819c3773e29ce841c044ba12755784243c4419cb28 WHIRLPOOL e799fdd17d4a22f38ef5665a10bfded2fb790ffb9098f9f309126e9b9b8e4fc914a23711c0d22fa48bf49326bdf066d6d48b3078cb0da6b67cd1eedabd44b5b8
diff --git a/gnome-extra/gnome-power-manager/gnome-power-manager-3.22.1.ebuild b/gnome-extra/gnome-power-manager/gnome-power-manager-3.22.1.ebuild
new file mode 100644
index 00000000000..c1d20a9cd19
--- /dev/null
+++ b/gnome-extra/gnome-power-manager/gnome-power-manager-3.22.1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit gnome2 virtualx
+
+DESCRIPTION="GNOME power management service"
+HOMEPAGE="https://projects.gnome.org/gnome-power-manager/"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="test"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+
+COMMON_DEPEND="
+ >=dev-libs/glib-2.45.8:2
+ >=x11-libs/gtk+-3.3.8:3
+ >=x11-libs/cairo-1
+ >=sys-power/upower-0.99:=
+"
+RDEPEND="${COMMON_DEPEND}
+ x11-themes/adwaita-icon-theme
+"
+DEPEND="${COMMON_DEPEND}
+ app-text/docbook-sgml-dtd:4.1
+ app-text/docbook-sgml-utils
+ dev-libs/appstream-glib
+ >=dev-util/intltool-0.50
+ sys-devel/gettext
+ x11-proto/randrproto
+ virtual/pkgconfig
+ test? ( sys-apps/dbus )
+"
+
+# docbook-sgml-utils and docbook-sgml-dtd-4.1 used for creating man pages
+# (files under ${S}/man).
+# docbook-xml-dtd-4.4 and -4.1.2 are used by the xml files under ${S}/docs.
+
+src_prepare() {
+ # Drop debugger CFLAGS from configure
+ # Touch configure.ac only if running eautoreconf, otherwise
+ # maintainer mode gets triggered -- even if the order is correct
+ sed -e 's:^CPPFLAGS="$CPPFLAGS -g"$::g' \
+ -i configure || die "debugger sed failed"
+ gnome2_src_prepare
+}
+
+src_configure() {
+ gnome2_src_configure \
+ $(use_enable test tests)
+}
+
+src_test() {
+ virtx emake check
+}